## openjfx 11.0.11%2B0

=== modules/javafx.web/src/main/native/Source/ThirdParty/libxslt/CMakeLists.txt ===
set(XSLT_SOURCES
    src/libxslt/attributes.c
    src/libxslt/documents.c
    src/libxslt/extensions.c
    src/libxslt/extra.c
    src/libxslt/functions.c
    src/libxslt/imports.c
    src/libxslt/keys.c
    src/libxslt/namespaces.c
    src/libxslt/numbers.c
    src/libxslt/pattern.c
    src/libxslt/preproc.c
    src/libxslt/security.c
    src/libxslt/templates.c
    src/libxslt/transform.c
    src/libxslt/variables.c
    src/libxslt/xslt.c
    src/libxslt/xsltlocale.c
    src/libxslt/xsltutils.c
    src/libxslt/attrvt.c
)

# XSLT_COMPILE_OPTIONS are taken from Chromium.
if (WIN32)
    set(XSLT_PLATFORM_INCLUDE_DIRECTORY win32)
    set(XSLT_COMPILE_OPTIONS
        "/wd4267"  # size_t to int.

        # TODO(brucedawson): http://crbug.com/554200 4311 is a VS
        # 2015 64-bit warning for pointer truncation
        "/wd4311"

        # security.c: from 'const char *' to 'LPCWSTR'
        "/wd4133"
    )
elseif (APPLE)
    set(XSLT_PLATFORM_INCLUDE_DIRECTORY mac)
    set(XSLT_COMPILE_OPTIONS
        # numbers.c, xsltlocale.c, functions.c
        "-Wno-unused-parameter"

        # libxslt stores a char[3] in a `const unsigned char*`.
        "-Wno-pointer-sign"

        # xsltDefaultRegion and xsltCalibrateTimestamps are only
        # used with certain preprocessor defines set.
        "-Wno-unused-function"
        "-Wno-unused-variable"
     )
elseif (UNIX AND NOT APPLE)
    set(XSLT_PLATFORM_INCLUDE_DIRECTORY linux)
    set(XSLT_COMPILE_OPTIONS
        # TODO:
        # Following warnings are seen only with GCC 4.9.4. Remove once
        # we move to latest GCC
        "-Wno-unused-function"
        "-Wno-unused-parameter"
        "-Wno-unused-variable"
        "-Wno-unused-but-set-variable"
        "-Wno-suggest-attribute=format"
        "-Wno-sign-compare"
    )
endif ()

add_library(XSLTJava STATIC ${XSLT_SOURCES})

target_link_libraries(XSLTJava PUBLIC XMLJava)

target_include_directories(XSLTJava
    PUBLIC "src"
    PRIVATE "${XSLT_PLATFORM_INCLUDE_DIRECTORY}"
)

if (XSLT_COMPILE_OPTIONS)
    target_compile_options(XSLTJava PRIVATE ${XSLT_COMPILE_OPTIONS})
endif ()

target_compile_definitions(XSLTJava PUBLIC "LIBXSLT_STATIC")

## openjfx 11.0.11%2B1

=== debian/changelog ===
openjfx (11.0.11+1-3.2) unstable; urgency=medium

  * Non-maintainer upload

  [ Steve Langasek ]
  * debian/patches/64-bit-time-t.patch: don't unset _FILE_OFFSET_BITS.
    Closes: #1068159.

  [ Pushkar Kulkarni ]
  * d/patches: Patch to fix compiler errors with openjdk-21 (LP: #2053246)
    (Closes: #1057531)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 13 Apr 2024 13:01:57 +0200

openjfx (11.0.11+1-3.1) unstable; urgency=medium

  * Team upload.

  [ Wookey ]
  * Apply patch from webkit #217079 so arm64 builds again
    (Closes: #1021894)

  [ tony mancill ]
  * Declare Build-Conflicts on libstdc++-10-dev
    (See notes in #1021894)

 -- tony mancill <tmancill@debian.org>  Sat, 15 Jul 2023 20:30:26 -0700

openjfx (11.0.11+1-3) unstable; urgency=medium

  * Team upload.
  * Set NUMBER_OF_PROCESSORS via nproc to address FTBFS on s390x due to
    excessive build parallelism (Closes: #1026962)
  * Add lintian overrides for long HTML lines
  * Replace build-dep on obsolete libgl1-mesa-dev with libgl-dev
  * Freshen years in debian/copyright
  * Bump Standards-Version to 4.6.2

 -- tony mancill <tmancill@debian.org>  Tue, 07 Feb 2023 06:59:22 -0800

openjfx (11.0.11+1-2) unstable; urgency=medium

  * Team upload.
  * Add patch to address javadoc FTBFS (Closes: #1026510)

 -- tony mancill <tmancill@debian.org>  Thu, 22 Dec 2022 21:56:35 -0800

openjfx (11.0.11+1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop build-dependency on ffmpeg, openjfx isn't source-compatible with
    ffmpeg 5.0. Closes: #1004638.
  * Build-depend on g++-11, source not compatible with g++ 12.
    Closes: #1013009.
    (Both patches taken from Ubuntu, thanks to Steve Langasek)

 -- Philipp Kern <pkern@debian.org>  Sun, 16 Oct 2022 12:19:38 +0200

openjfx (11.0.11+1-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.6.0.1

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 03 May 2022 16:48:31 +0200

openjfx (11.0.11+0-1) unstable; urgency=medium

  * Team upload.

  [ tony mancill ]
  * Remove/revert patch to force NUM_COMPILE_THREADS=1

  [ Emmanuel Bourg ]
  * New upstream release
    - Refreshed the patches
  * Don't build the SWT module on 32-bit architectures
  * Compile WebKit when building all the packages
  * Disabled the tests (triggered by gradle-debian-helper/2.1)
  * Standards-Version updated to 4.5.1
  * Switch to debhelper level 13

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 03 Feb 2021 16:18:39 +0100

=== debian/control ===
Source: openjfx
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Bourg <ebourg@apache.org>
Build-Depends: antlr4,
               bison,
               cmake,
               debhelper-compat (= 13),
               default-jdk,
               default-jdk-doc,
               flex,
               g++-11,
               gperf,
               gradle (>= 4.4),
               gradle-debian-helper (>= 2.0),
               junit4,
               libasound2-dev,
               libgl-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk2.0-dev,
               libgtk-3-dev,
               libjpeg-dev,
               liblucene4.10-java,
               libpng-dev,
               libstringtemplate-java,
               libswt-gtk-4-java [!i386 !armel !armhf !mipsel],
               libudev-dev,
               libwerken.xpath-java,
               libx11-dev,
               libxt-dev,
               libxtst-dev,
               libxxf86vm-dev,
               maven-repo-helper,
               pkg-config,
               python3,
               qtbase5-dev,
               qtchooser,
               qt5-qmake,
               ruby,
               x11proto-core-dev,
               x11proto-xf86vidmode-dev,
               zip
Build-Conflicts: libstdc++-10-dev
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/java-team/openjfx.git
Vcs-Browser: https://salsa.debian.org/java-team/openjfx
Homepage: https://openjfx.io

Package: openjfx
Architecture: any
Depends: libopenjfx-java, ${misc:Depends}
Recommends: openjfx-source
Description: JavaFX/OpenJFX - Rich client application platform for Java
 JavaFX/OpenJFX is a set of graphics and media APIs that enables Java developers
 to design, create, test, debug, and deploy rich client applications that
 operate consistently across diverse platforms.

Package: libopenjfx-java
Architecture: all
Depends: libopenjfx-jni, ${misc:Depends}
Suggests: openjfx
Description: JavaFX/OpenJFX - Rich client application platform for Java (Java libraries)
 JavaFX/OpenJFX is a set of graphics and media APIs that enables Java developers
 to design, create, test, debug, and deploy rich client applications that
 operate consistently across diverse platforms.
 .
 This package contains the Java libraries only, installing it won't add
 the JavaFX classes to the default classpath automatically. The integration
 with the JRE is provided by the openjfx package.

Package: libopenjfx-jni
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: JavaFX/OpenJFX - Rich client application platform for Java (native libraries)
 JavaFX/OpenJFX is a set of graphics and media APIs that enables Java developers
 to design, create, test, debug, and deploy rich client applications that
 operate consistently across diverse platforms.
 .
 This package contains the native libraries for libopenjfx-java.

Package: libopenjfx-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libopenjfx-java, default-jdk-doc
Description: JavaFX/OpenJFX - Rich client application platform for Java (Javadoc)
 JavaFX/OpenJFX is a set of graphics and media APIs that enables Java developers
 to design, create, test, debug, and deploy rich client applications that
 operate consistently across diverse platforms.
 .
 This package contains the API documentation for libopenjfx-java.

Package: openjfx-source
Architecture: all
Depends: ${misc:Depends}
Description: JavaFX/OpenJFX - Rich client application platform for Java (sources)
 JavaFX/OpenJFX is a set of graphics and media APIs that enables Java developers
 to design, create, test, debug, and deploy rich client applications that
 operate consistently across diverse platforms.
 .
 This package contains the source archive to be used with an IDE.
